import Vue from 'vue';
import uView from 'uview-ui';
import i18n from '@/i18n';
import store from '@/store';
import wait from '@/utils/wait';
import App from './App.vue';
import { Alerts } from '@/components/alert/alert';
import filters from '@/utils/filter';
import plugins from '@/plugins';
import wybTable from '@/plugins/wyb-table/wyb-table.vue';

Vue.config.productionTip = false;

// uViewUI
Vue.use(uView);
// 引入自定义警告组件，使 $confirm, $prompt 等方法在组件中可用
Vue.use(Alerts);
// 引入常用过滤器
Vue.use(filters);
// 引入插件组件
Vue.use(plugins);

Vue.component('wyb-table', wybTable);
export default new App({
  i18n,
  store,
  wait,
}).$mount();
