export const url = {
  menu: "/wmspda/system/getRFMenus",
  wmspda: {
    system: {
      test: "/wmspda/system/test",
      login: "/wmspda/system/login",
      getMenus: "/wmspda/system/getMenus",
    },
    fg: {
      xxrkScanValidata: "/wmspda/fg/xxrkScanValidata",
      offlineRk: "/wmspda/fg/offlineRk",
      outStorageLoadProduct: "/wmspda/fg/outStorageLoadProduct",
      outStorageLoadDocumentByCarBatchno:
        "/wmspda/fg/outStorageLoadDocumentByCarBatchno",
      orderType: "/wmspda/fg/orderType",
    },
  },
  sys: {
    log: {
      error: "/sys/log/error",
    },
  },
  auth: {
    locations: "/auth/locations",
    query: {
      location: "/auth/query/location",
      location1: "/material/orderin/receiveloc",
    },
    systime: "/auth/systime",
    userInfo: "/auth/userinfo",
    pwd: {
      check: "/auth/pwd/check",
    },
    factory: {
      sap: "/auth/factory/sap",
    },
  },
  appointmentreg: {
    platform: {
      list: "/appointmentreg/list/platform",
    },
    kd: {
      query: "/appointmentreg/query/kd",
    },
    save: "/appointmentreg/save",
    delay: {
      list: "/appointmentreg/list/delay",
    },
    leave: {
      carInfo: "/appointmentreg/query/leave/carinfo",
      save: "/appointmentreg/leave/save",
    },
  },
  material: {
    POorderin: {
      info: "/material/orderin/poInfo",
      enter: "/material/orderin/enter",
    },
    prdOrder: {
      info: "/material/comprehensive/detail/q",
    },
    DNorderin: {
      info: "/material/orderin/dnInfo",
      ImportInfo: "/material/orderin/overseasDnInfo",
      dnReturnInfo: "/material/orderin/dnReturnInfo",
      enter: "/material/orderin/enter",
      ImportEnter: "/material/orderin/overseasDnEnter",
      out: "/material/orderin/out",
    },
    orderout: {
      take: "/material/orderout/take",
      detail: "/material/orderout/detail",
      unlock: "/material/orderout/unlock",
      takeout: "/material/orderout/takeout",
    },
    // 原材料盘点
    rawMaterialInventory: {
      // 盘点单号查询检查
      checkRaw: "/product/finished/checkRaw/order",
      // 扫描物料号检查
      productCode: "/product/finished/checkRaw/productCode",
      // 3.盘点单中不存在该物料但继续盘点，需要新增单号和物料信息
      createInfo: "/product/finished/checkRaw/createInfo",
      // 4.物料盘点确定
      productComplete: "/product/finished/checkRaw/productComplete",
      // 5.盘点完成
      orderComplete: "/product/finished/checkRaw/orderComplete",
    },
    // 委外 commission
    commission: {
      // 出库 goOut
      goOut: {
        // 出库单号查询
        queryOrder: "/material/outsourcing/queryOrder",
        // 库位下拉列表
        queryByFactoryCodeAndWorkAreaCode:
          "/wmspda/fg/queryByFactoryCodeAndWorkAreaCode",
        // 出库提交
        materialComplete: "/material/outsourcing/materialComplete",
        // 出库明细查询
        outInfo: "/material/outsourcing/outInfo",
      },
      entrant: {
        // 单号查询
        queryOrder: "/material/outsourcing/into/queryOrder",
        // 库位下拉列表
        queryByFactoryCodeAndWorkAreaCode:
          "/wmspda/fg/queryByFactoryCodeAndWorkAreaCode",
        // 提交
        materialComplete: "/material/outsourcing/into/materialComplete",
        // 明细查询
        info: "/material/outsourcing/into/info",
      },
    },
  },
  SFG: {
    DumpListFH: {
      FHDH: "/material/orderin/poEubInfo",
      enter: "/material/orderin/enterPoEub",
    },
  },
  //出库
  outbound: {
    stoOutbound: {
      info: "/material/orderout/queryStoPlan",
      yuetaiType: "/wmspda/fg/queryDocksUnderWareHouse",
      Bookkeeping: "/wmspda/fg/confirmMove",
      checkScan: "/wmspda/fg/getMaterialByCode",
      queryOrder: "/material/outsourcing/into/queryOrder",
      submit: "/material/outsourcing/into/materialComplete",
      materialComplete: "/material/outsourcing/materialComplete",
      outsourcingQueryOrder: "/material/outsourcing/queryOrder",
    },
  },
  inbound: {
    finishProductOffline: {
      kuwei: "/wmspda/fg/getMdLocation",
      barcode: "/product/finished/show-info",
      confirm: "/product/finished/batch-offline",
    },
    semiFinishProductOfflineRefrigerator: {
      kuwei: "/wmspda/fg/getMdLocation",
      materialCode: "/product/semi-finished/get-product",
      confirm3: "/product/semi-finished/batch-online-turnover-door", //门体上线
      confirm2: "/product/semi-finished/batch-offline", //半成品空调/洗衣机下线
      confirm: "/product/semi-finished/batch-offline-turnover-car", //半成品冰箱下线
    },
    semiFinishProductOnlineBox: {
      materialCode: "/product/semi-finished/get-origin-material",
    },
  },
  sortscan: {
    query: {
      prdorder: "/sortscan/query/prdorder",
      prdorderList: "/sortscan/query/prdorder/list",
      aggregateList: "/sortscan/query/aggregate/list",
    },
    save: {
      aggregate: "/sortscan/save/aggregate",
      order: "/sortscan/save/order",
    },
    unlock: {
      list: "/sortscan/unlock/list",
    },
    lock: {
      list: "/sortscan/lock/list",
    },
  },
  sumscan: {
    query: {
      orderno: "/sumscan/query/orderno",
      ordoutlist: "/sumscan/query/ordoutlist",
      hzlist: "/sumscan/query/hzlist",
      fllist: "/sumscan/query/fllist",
    },
    lock: {
      list: "/sumscan/lock/list",
    },
    unlock: {
      list: "sumscan/unlock/list",
    },
    u: {
      order: "/sumscan/u/order",
      hzlist: "/sumscan/u/hzlist",
      fllist: "sumscan/u/fllist",
    },
  },
  warehouse: {
    rowTransfer: {
      list: "/wmspda/fg/listByOrder",
      commit: "/wmspda/fg/confirmMove",
      getCode: "/wmspda/fg/getCpMoveBatchNo",
    },
    rowScrap: {
      list: "/wmspda/fg/listByOrder",
    },
    rowCollect: {
      list: "/wmspda/fg/listByOrder",
    },
    wholeTransfer: {
      list: "/wmspda/fg/getMdLocation",
      content: "/wmspda/fg/getMaterialByCode",
    },
    wholeLnventory: {
      content: "/wmspda/fg/findMaterialByPddNo",
      commit: "/wmspda/fg/completePd",
      scanCode: "/wmspda/fg/inventoryUploadSn",
    },
  },
  bl: {
    query: "/bl/query",
    u: "/bl/u",
    unlock: "/bl/unlock",
  },
  tl: {
    get: {
      type: "/tl/get/type",
    },
    u: "/tl/u",
  },
  virtual: {
    query: {
      orderno: "/virtual/query/orderno",
      ordoutlist: "/virtual/query/ordoutlist",
      hzlist: "/virtual/query/hzlist",
    },
    check: {
      amount: "/virtual/check/amount",
    },
    unlock: {
      list: "/virtual/unlock/list",
    },
    u: {
      hzlist: "/virtual/u/hzlist",
    },
  },
};
